Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class ProviderSubscription

    java.lang.Object
      |
      +--oracle.portal.provider.v2.ProviderSubscription

public class ProviderSubscription
extends java.lang.Object

Represents a subscription to the services exposed by a provider.

Constructor Summary
`ProviderSubscription(java.lang.String subscriptionKey)` Create a new subscription using the passed subscription Id.

Method Summary
`java.lang.String` | `getSubscriptionKey()` Gets the subscription key associated with this subscription
`void` | `setSubscriptionKey(java.lang.String subscriptionKey)` Sets the subscription key.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderSubscription

    public ProviderSubscription(java.lang.String subscriptionKey)

  Create a new subscription using the passed subscription Id.
  Parameters:
    `subscriberKey` - identifier representing this portal or subscription.

    Subscriptions are specified at the provider instance level

Method Detail

### getSubscriptionKey

    public java.lang.String getSubscriptionKey()

  Gets the subscription key associated with this subscription
  Returns:
    subscription key for this subscription

### setSubscriptionKey

    public void setSubscriptionKey(java.lang.String subscriptionKey)

  Sets the subscription key. Used if object created via null constructor.
  Parameters:
    `subscriptionKey` - the subscriptionKey

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.